Bug 469119 - Oops: drm_put_minor NULL pointer reference
Oops: drm_put_minor NULL pointer reference
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 20:28 EDT by Scott Dodson
Modified: 2008-11-17 15:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 15:30:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsmod (2.74 KB, application/octet-stream)
2008-10-29 20:28 EDT, Scott Dodson
no flags Details
dmesg (27.91 KB, application/octet-stream)
2008-11-03 13:16 EST, Scott Dodson
no flags Details
dmesg from 2.6.27.5.101.fc10 (50.32 KB, application/octet-stream)
2008-11-13 09:23 EST, Scott Dodson
no flags Details

  None (edit)
Description Scott Dodson 2008-10-29 20:28:46 EDT
Created attachment 321886 [details]
lsmod

When booting with the kernel option nomodeset I get this oops. I'm attempting to use nomodeset as instructed in RHBZ#467190. This does not occur when booting without the nomodeset option.

BUG: unable to handle kernel NULL pointer dereference at 00000004
IP: [<f8d082ae>] :drm:drm_put_minor+0x26/0x62
*pde = 3f04b067 
Oops: 0000 [#1] SMP 
Modules linked in: radeon(+) drm i2c_algo_bit i2c_core

Pid: 581, comm: modprobe Not tainted (2.6.27.4-61.fc10.i686 #1)
EIP: 0060:[<f8d082ae>] EFLAGS: 00010246 CPU: 0
EIP is at drm_put_minor+0x26/0x62 [drm]
EAX: f6df1aa8 EBX: 00000000 ECX: 00000003 EDX: f6df1800
ESI: f6df1aa8 EDI: f6de8b5c EBP: f6e28ee8 ESP: f6e28ee0
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process modprobe (pid: 581, ti=f6e28000 task=f730b300 task.ti=f6e28000)
Stack: 00010003 f6de8000 f6e28f00 f8842444 f6df1800 f6df1800 f6dd35a0 00000000 
       f6e28f24 f8d08848 f8873698 f8873d0c f78c7000 f6df1aac f78c7000 f8873d0c 
       000004d0 f6e28f3c f8d046d3 f8873698 f8875600 fffffffc 00000000 f6e28f44 
Call Trace:
 [<f8842444>] ? radeon_driver_load+0x9d/0x49e [radeon]
 [<f8d08848>] ? drm_get_dev+0x319/0x3ac [drm]
 [<f8d046d3>] ? drm_init+0x44/0x79 [drm]
 [<f8830057>] ? radeon_init+0x57/0x59 [radeon]
 [<c0401125>] ? _stext+0x3d/0x115
 [<f8830000>] ? radeon_init+0x0/0x59 [radeon]
 [<c044be69>] ? sys_init_module+0x87/0x178
 [<c0403c76>] ? syscall_call+0x7/0xb
 [<c06c007b>] ? __do_cyrix_devid+0xa/0x7f
 =======================
Code: 5e 5f 5d c3 90 83 3d 34 71 d2 f8 00 55 89 e5 56 89 c6 53 8b 18 74 14 ff 33
 68 7c 48 d1 f8 68 2e 62 d1 f8 e8 ed be 9b c7 83 c4 0c <83> 7b 04 01 75 0d 8b 15
 3c 71 d2 f8 89 d8 e8 3f f2 ff ff 89 d8 
EIP: [<f8d082ae>] drm_put_minor+0x26/0x62 [drm] SS:ESP 0068:f6e28ee0
---[ end trace 292808efd263aa9d ]---
Comment 1 Dave Airlie 2008-11-02 03:59:21 EST
can you attach the full dmesg from a modeset boot (or if not possible) at least /var/log/Xorg.0.log from a nomodeset boot.
Comment 2 Scott Dodson 2008-11-03 13:16:24 EST
Created attachment 322347 [details]
dmesg

When I use nomodeset I'm not able to get beyond the point where I'd enter my LUKs password. It doesn't actually give me a prompt and if I type the password blindly it just echos the input. So in order to capture the dmesg I've set init=/bin/sh in this case.
Comment 3 Dave Airlie 2008-11-10 00:57:44 EST
Can you try and reproduce this with the -92 kernel from koji?
Comment 4 Scott Dodson 2008-11-13 09:23:10 EST
Created attachment 323449 [details]
dmesg from 2.6.27.5.101.fc10

Still getting the original oops and another oops was introduced recently.

The new one is :
BUG: unable to handle kernel NULL pointer dereference at 00000010
IP: [<f88e8ef4>] :radeon:radeon_vram_setup+0x77/0x1e5

Attaching a new dmesg from 2.6.27.5-101.fc10
Comment 5 Scott Dodson 2008-11-13 22:59:27 EST
Both of the Oopses are gone after installing 2.6.27.5-104.
Comment 6 Scott Dodson 2008-11-17 15:30:38 EST
Fixed.

Note You need to log in before you can comment on or make changes to this bug.